com.r3corda.node.services.statemachine

## Package com.r3corda.node.services.statemachine

### Types

ProtocolStateMachineImpl | `class ProtocolStateMachineImpl<R> : ProtocolStateMachine<R>` A ProtocolStateMachine instance is a suspendable fiber that delegates all actual logic to a ProtocolLogic instance. For any given flow there is only one PSM, even if that protocol invokes subprotocols.
StateMachineManager | `class StateMachineManager` A StateMachineManager is responsible for coordination and persistence of multiple ProtocolStateMachine objects. Each such object represents an instantiation of a (two-party) protocol that has reached a particular point.

### Exceptions

StackSnapshot | `class StackSnapshot : Throwable`